Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.factory
Class KeyedDefinitionsFactoryTilesContainerFactory

    java.lang.Object
      org.apache.tiles.factory.AbstractTilesContainerFactory
          org.apache.tiles.factory.TilesContainerFactory
              org.apache.tiles.factory.KeyedDefinitionsFactoryTilesContainerFactory

Deprecated. This class can be replaced by registering different `TilesContainer` with different keys, by overriding `AbstractTilesInitializer` `getContainerKey` method.

    public class KeyedDefinitionsFactoryTilesContainerFactory

extends TilesContainerFactory

Factory that creates instances of container that will extend the `KeyedDefinitionsFactoryTilesContainer` class.

Version:
  $Rev: 798944 $ $Date: 2009-07-29 17:20:27 +0200 (mer, 29 lug 2009) $

Field Summary
`protected TilesApplicationContext` | `applicationContext` Deprecated. The application context.
`static java.lang.String` | `CONTAINER_KEYS_INIT_PARAM` Deprecated. The name of the initialization parameter that will contain a comma-separated list of keys to use.
`static java.lang.String` | `KEY_EXTRACTOR_CLASS_INIT_PARAM` Deprecated. Init parameter name that contains the class name for the key extractor.

Fields inherited from class org.apache.tiles.factory.TilesContainerFactory
`ATTRIBUTE_EVALUATOR_INIT_PARAM, CONTAINER_FACTORY_INIT_PARAM, CONTAINER_FACTORY_MUTABLE_INIT_PARAM, CONTEXT_FACTORY_INIT_PARAM, defaultConfiguration, DEFINITIONS_FACTORY_INIT_PARAM, PREPARER_FACTORY_INIT_PARAM, RENDERER_FACTORY_INIT_PARAM, REQUEST_CONTEXT_FACTORY_INIT_PARAM`

Constructor Summary
`KeyedDefinitionsFactoryTilesContainerFactory()` Deprecated.

Method Summary
`DefinitionsFactory` | `createDefinitionsFactory(java.lang.Object context)` Deprecated. Use `createDefinitionsFactory(TilesApplicationContext)`.
`DefinitionsFactory` | `createDefinitionsFactory(TilesApplicationContext context)` Deprecated. Creates a definitions factory.
`MutableTilesContainer` | `createMutableTilesContainer(TilesApplicationContext context)` Deprecated. Creates a mutable Tiles container.
`TilesContainer` | `createTilesContainer(TilesApplicationContext context)` Deprecated. Creates an immutable Tiles container.
`protected void` | `postCreationOperations(TilesRequestContextFactory contextFactory, TilesApplicationContext tilesContext, RendererFactory rendererFactory, AttributeEvaluator evaluator, java.util.Map<java.lang.String,java.lang.String> initParameters, java.util.Map<java.lang.String,java.lang.String> configuration, BasicTilesContainer container)` Deprecated. After the creation of the elements, it is possible to do other operations that will be done after the creation and before the assignment to the container.
`protected void` | `storeContainerDependencies(TilesApplicationContext context, java.util.Map<java.lang.String,java.lang.String> initParameters, java.util.Map<java.lang.String,java.lang.String> configuration, BasicTilesContainer container)` Deprecated. Stores container dependencies, that is called before `TilesContainer.init(Map)`.

Methods inherited from class org.apache.tiles.factory.TilesContainerFactory
`createContainer, createContainer, createFactory, createMutableTilesContainer, createTilesContainer, getFactory, getFactory, getInitParameter, getInitParameterMap, initializeContainer, initializeContainer, resolveFactoryName, setDefaultConfiguration, setDefaultValue, storeContainerDependencies`

Methods inherited from class org.apache.tiles.factory.AbstractTilesContainerFactory
`getTilesContainerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTAINER_KEYS_INIT_PARAM

    public static final java.lang.String CONTAINER_KEYS_INIT_PARAM

  Deprecated.
  The name of the initialization parameter that will contain a comma-separated list of keys to use.

  See Also:
    Constant Field Values

### KEY_EXTRACTOR_CLASS_INIT_PARAM

    public static final java.lang.String KEY_EXTRACTOR_CLASS_INIT_PARAM

  Deprecated.
  Init parameter name that contains the class name for the key extractor.

  See Also:
    Constant Field Values

### applicationContext

    protected TilesApplicationContext applicationContext

  Deprecated.
  The application context.

  Since:
    2.1.0

Constructor Detail

### KeyedDefinitionsFactoryTilesContainerFactory

    public KeyedDefinitionsFactoryTilesContainerFactory()

  Deprecated.

Method Detail

### createMutableTilesContainer

    public MutableTilesContainer createMutableTilesContainer(TilesApplicationContext context)

  Deprecated.
  Creates a mutable Tiles container.

  Overrides:
    `createMutableTilesContainer` in class `TilesContainerFactory`
  Parameters:
    `context` - The Tiles application context object.
  Returns:
    The created Tiles container.

### createTilesContainer

    public TilesContainer createTilesContainer(TilesApplicationContext context)

  Deprecated.
  Creates an immutable Tiles container.

  Overrides:
    `createTilesContainer` in class `TilesContainerFactory`
  Parameters:
    `context` - The Tiles application context object.
  Returns:
    The created Tiles container.

### createDefinitionsFactory

    @Deprecated
    public DefinitionsFactory createDefinitionsFactory(java.lang.Object context)

  Deprecated. Use `createDefinitionsFactory(TilesApplicationContext)`.

  Creates a definitions factory.

  Parameters:
    `context` - The context object to use.
  Returns:
    The newly created definitions factory.
  Throws:
    `TilesContainerFactoryException` - If something goes wrong.

### createDefinitionsFactory

    public DefinitionsFactory createDefinitionsFactory(TilesApplicationContext context)

  Deprecated.
  Creates a definitions factory.

  Parameters:
    `context` - The Tiles application context object to use.
  Returns:
    The newly created definitions factory.
  Throws:
    `TilesContainerFactoryException` - If something goes wrong.

### storeContainerDependencies

    protected void storeContainerDependencies(TilesApplicationContext context,
                                              java.util.Map<java.lang.String,java.lang.String> initParameters,
                                              java.util.Map<java.lang.String,java.lang.String> configuration,
                                              BasicTilesContainer container)

  Deprecated.
  Stores container dependencies, that is called before `TilesContainer.init(Map)`.

  Overrides:
    `storeContainerDependencies` in class `TilesContainerFactory`
  Parameters:
    `context` - The (application) context object to use.
    `initParameters` - The initialization parameters.
    `configuration` - The merged configuration parameters (both defaults and context ones).
    `container` - The container to use.

### postCreationOperations

    protected void postCreationOperations(TilesRequestContextFactory contextFactory,
                                          TilesApplicationContext tilesContext,
                                          RendererFactory rendererFactory,
                                          AttributeEvaluator evaluator,
                                          java.util.Map<java.lang.String,java.lang.String> initParameters,
                                          java.util.Map<java.lang.String,java.lang.String> configuration,
                                          BasicTilesContainer container)

  Deprecated.
  After the creation of the elements, it is possible to do other operations that will be done after the creation and before the assignment to the container.

  Overrides:
    `postCreationOperations` in class `TilesContainerFactory`
  Parameters:
    `contextFactory` - The Tiles context factory.
    `tilesContext` - The Tiles application context.
    `rendererFactory` - The renderer factory.
    `evaluator` - The attribute evaluator.
    `initParameters` - The initialization parameters.
    `configuration` - The merged configuration parameters (both defaults and context ones).
    `container` - The container to use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.